EUCA-IMPORT-VOLUME(1)

NAME
euca-import-volume - Import a file to a volume in the cloud

SYNOPSIS
euca-import-volume -f FORMAT -z ZONE [-s GiB] [--image-size BYTES]

(-b BUCKET | --manifest-url URL) [--prefix PREFIX]
    [-x DAYS] [--no-upload] [-d DESCRIPTION] [--show-empty-fields] [--s3-url URL] [-o KEY_ID] [-w KEY] [--progress | --no-progress] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] FILE

DESCRIPTION
Import a file to a volume in the cloud

  positional arguments:

FILE
    file containing the disk image to import (required)

  optional arguments:

-f FORMAT, --format FORMAT
    the image's format ("vmdk", "raw", or "vhd") (required)

-z ZONE, --availability-zone ZONE
    the zone in which to create the volume (required)

-s GiB, --volume-size GiB
    size of the volume to import to, in GiB

--image-size BYTES
    size of the image (required for non-raw files

-b BUCKET, --bucket BUCKET
    the bucket to upload the volume to

--manifest-url URL
    a pre-signed URL that points to the import manifest to use

--prefix PREFIX
    a prefix to add to the names of the volume parts as they are uploaded

-x DAYS, --expires DAYS
    how long the import manifest should remain valid, in days (default: 30 days)

--no-upload
    start the import process, but do not actually upload the volume (see euca-resume-import)

-d DESCRIPTION, --description DESCRIPTION
    a description for the import task (not the volume)

--show-empty-fields
    show empty values as "(nil)"

--s3-url URL
    object storage service endpoint URL

-o KEY_ID, --owner-akid KEY_ID
    access key to use for the object storage service (default: same as that for the compute service)

-w KEY, --owner-sak KEY
    secret key to use for the object storage service (default: same as that for the compute service)

--progress
    show progress (the default when run interactively)

--no-progress
    do not show progress (the default when run noninteractively)

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit